function(){ 
  x <- round(rexp(100,2), 2) #100 zufllige Werte einer Exponentialverteilung mit lambda=0 (!) auf 2 Stellen gerundet
  y <- scan("DataBsp5") #ldt Daten aus der angegebenen Datei
  
  print(A <- matrix(c(var(x),cov(x,y),var(y),cor(x,y)),ncol=2)) #legt Matrix an und gibt sie aus

  qv = c(0.1,0.3,0.5,0.8,0.9,1.0) #WS fr Quantilseinteilung (MSSSEN im Intervall [0,1] sein)

  xs <- (x-mean(x))/sd(x) #(x-EX)/sqrt(var(X))
  ys <- (y-mean(y))/sd(y) #(y-EY)/sqrt(var(Y))

  xq <- quantile(xs,qv,type=2) #Berechnet die Quantile fr die oben angegebenen WS nach dem 2. Algorithmus
  yq <- quantile(ys,qv,type=2) 

  plot(xq,yq, xlim=c(-1.5,1.5), ylim=c(-1.5,1.5)) #plottet die Quantile von X bzw. Y als X bzw. Y Koordinate, Achsenbeschriftung von -1.5 bis 1.5

  xr <- rank(x)
  yr <- rank(y) #???
  
  xrs <- (xr-mean(xr))/sd(xr)
  yrs <- (yr-mean(yr))/sd(yr)
  
  xrq <- quantile(xrs,qv, type=2)
  yrq <- quantile(yrs,qv, type=2)
  
  print(Ar <- matrix(c(var(xr),cov(xr,yr),var(yr),cor(xr,yr)),ncol=2))
  
  points(xrq,yrq, pch=20,col="red") #Fge die neuen Quantile als rote Punkte (pch=20) dem Plot hinzu
}

